<?php

/**
 * @file
 * Definition of views_handler_field_applenews_status.
 */

/**
 * A handler to provide proper display for Apple News publish status.
 *
 * @ingroup views_field_handlers
 */
class views_handler_field_applenews_status extends views_handler_field_boolean {

  function render($values) {
    $value = $this->get_value($values);
    if (!empty($this->options['not'])) {
      $value = !$value;
    }

    if ($this->options['type'] == 'custom') {
      return $value ? filter_xss_admin($this->options['type_custom_true']) : filter_xss_admin($this->options['type_custom_false']);
    }
    else if (isset($this->formats[$this->options['type']])) {
      return $value ? $this->formats[$this->options['type']][0] : $this->formats[$this->options['type']][1];
    }
    else {
      return $value ? $this->formats['yes-no'][0] : $this->formats['yes-no'][1];
    }
  }
}
